Main Page | Namespace List | Class Hierarchy | Alphabetical List | Class List | Directories | File List | Namespace Members | Class Members | File Members | Related Pages

# Ogre::FrameListener Class Reference

A interface class defining a listener which can be used to receive notifications of frame events. More...

`#include <OgreFrameListener.h>`

Inheritance diagram for Ogre::FrameListener:

[legend]
List of all members.

## Public Member Functions
virtual bool | frameStarted (const FrameEvent &evt)
| Called when a frame is about to begin rendering.
virtual bool | frameEnded (const FrameEvent &evt)
| Called just after a frame has been rendered.
virtual | ~FrameListener ()

## Detailed Description

A interface class defining a listener which can be used to receive notifications of frame events.

Remarks:
  A 'listener' is an interface designed to be called back when particular events are called. This class defines the interface relating to frame events. In order to receive notifications of frame events, you should create a subclass of FrameListener and override the methods for which you would like to customise the resulting processing. You should then call Root::addFrameListener passing an instance of this class. There is no limit to the number of frame listeners you can register, allowing you to register multiple listeners for different purposes. Frame events only occur when Ogre is in continuous rendering mode, ie. after Root::startRendering is called. If the application is doing ad-hoc rendering without entering a rendering loop, frame events are not generated. Note that a frame event occurs once for all rendering targets, not once per target.

Definition at line 77 of file OgreFrameListener.h.

## Constructor & Destructor Documentation

virtual Ogre::FrameListener::~FrameListener | ( |  | ) | `[virtual]`

| Definition at line 101 of file OgreFrameListener.h.

## Member Function Documentation

virtual bool Ogre::FrameListener::frameEnded | ( | const FrameEvent & | evt | ) | `[virtual]`

| Called just after a frame has been rendered. Returns: True to continue with the next frame, false to drop out of the rendering loop. Reimplemented in Ogre::FrameTimeControllerValue. Definition at line 99 of file OgreFrameListener.h.

virtual bool Ogre::FrameListener::frameStarted | ( | const FrameEvent & | evt | ) | `[virtual]`

| Called when a frame is about to begin rendering. Returns: True to go ahead, false to abort rendering and drop out of the rendering loop. Reimplemented in Ogre::FrameTimeControllerValue. Definition at line 93 of file OgreFrameListener.h.

The documentation for this class was generated from the following file:

- OgreFrameListener.h

Copyright © 2000-2005 by The OGRE Team
This work is licensed under a Creative Commons Attribution-ShareAlike 2.5 License.
Last modified Thu Mar 6 09:46:45 2008